join_arg Struct Reference

## Data Fields

rb_thread_t * | target
rb_thread_t * | waiting
double | limit
int | forever

## Detailed Description

Definition at line 652 of file thread.c.

## Field Documentation

int join_arg::forever

Definition at line 655 of file thread.c.

Referenced by thread_join(), and thread_join_sleep().

double join_arg::limit

Definition at line 654 of file thread.c.

Referenced by thread_join(), thread_join_m(), and thread_join_sleep().

rb_thread_t* join_arg::target

Definition at line 653 of file thread.c.

Referenced by remove_from_join_list(), thread_join(), and thread_join_sleep().

rb_thread_t * join_arg::waiting

Definition at line 653 of file thread.c.

Referenced by remove_from_join_list(), thread_join(), and thread_join_sleep().

The documentation for this struct was generated from the following file:

- thread.c